<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
	layout:decorate="~{Layout}">
<head>
<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" />
<script
	src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script
	src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
<script
	src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<link rel="stylesheet"
	href="https://cdn.datatables.net/1.10.12/css/jquery.dataTables.min.css">
<script
	src="https://cdn.datatables.net/1.10.12/js/jquery.dataTables.min.js"></script>





<link rel="stylesheet"
	href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"
	crossorigin="anonymous"></link>




<script th:inline="javascript"></script>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta name="viewport" content="width=device-width, initial-scale=1">


<nav class="navbar navbar-expand-lg navbar-dark bg-dark">

  <a class="navbar-brand" th:href="@{/home}">MyCrypt</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarNav">
    <ul class="navbar-nav">
      <li class="nav-item active">
        <a class="nav-link" th:href="@{/home}">Home <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" th:href="@{/registration}">Regisration</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" th:href="@{/home}">Login</a>
      </li>
      <li class="nav-item">
        <a class="nav-link disabled" th:href="@{/news}">News</a>
      </li>
    </ul>
  </div>
</nav>
<h1>Top News</h1>
<div class="card">
  <h5 class="card-header"></h5></div>

</head>

<div class="image">
	<table id="tabla">

		<tr th:each="news : ${page}">


			<td><div class="image">
					<a th:href="${news.url}"> <img
						th:src="${news.originalImageUrl}" width=80% height=80%></a>
					<h2 th:text="${news.getTitle()}"></h2>
				</div></td>
			<td th:text="${news.getDescription()}">description</td>

			<td><a th:href="${news.url}">Read more...</a></td>



		</tr>


	</table>
</div>


<div class="row">
	<div class="col-sm-6">
		<div sd:pagination-summary="">info</div>
	</div>
<div>
    <span sd:pagination-summary="compact">info</span>
    <div class="btn-group pager-compact" sd:pagination="compact-pager">
        <a href="#" class="btn btn-default disabled"><span class="glyphicon glyphicon-chevron-left"></span></a>
        <a href="#" class="btn btn-default"><span class="glyphicon glyphicon-chevron-right"></span></a>
    </div>
</div>
Show <span sd:page-size-selector="default"></span> entries

</div>
<style>


h1{
color: #fff;
text-align: center;
}
tr {
	display: block;
	float: left;
}

th, td {
	display: block;
}

body {
	background-color: #000;
}

table {
	width: 85%; /* Ширина таблицы */
	border: 2px solid #000;
	margin: auto; /* Выравниваем таблицу по центру окна  */
	background: #fff;
	border-collapse: separate;
}

td {
	text-align: center; /* Выравниваем текст по центру ячейки */
	padding-right: 20%;
	padding-left: 20%;
}
.card{
text-align: center
}

.image {
	position: relative;
	width: 100%; /* for IE 6 */
}

h2 {
	background: #000000; /* Цвет фона под заголовком */
	color: #fff; /* Цвет текста */
	padding: 2px; /* Поля вокруг текста */
	position: static;
	top: 30%;
	left: 0;
	width: 100%;
}

h2 span {
	color: #fff;
	font-size: 30px;
	line-height: 55px;
	background: rgba(0, 0, 0, 0.7);
	background: #000;
	padding: 10px;
}
</style>
<footer class="page-footer font-small unique-color-dark pt-4">

	<!-- Footer Elements -->
	<div class="container">

		<!-- Call to action -->
		<ul class="list-unstyled list-inline text-center py-2">
			<li class="list-inline-item">
				<h5 class="mb-1">Register for free</h5>
			</li>
			<li class="list-inline-item"><a th:href="@{/login}"
				class="btn btn-outline-white btn-rounded">Sign up!</a></li>
		</ul>


	</div>

	<div class="footer-copyright text-center py-3">© 2019 MyCrypt</div>


</footer>
</html>